# Uses of Interface
org.gitana.platform.client.repository.Repository

Packages that use Repository
Package
Description
org.gitana.platform.client.branch
org.gitana.platform.client.changeset
org.gitana.platform.client.node
org.gitana.platform.client.platform
org.gitana.platform.client.release
org.gitana.platform.client.repository
org.gitana.platform.client.support

## Uses of Repository in org.gitana.platform.client.branch

Constructors in org.gitana.platform.client.branch with parameters of type Repository
Modifier
Constructor
Description
``
`BranchImpl(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Repository in org.gitana.platform.client.changeset

Constructors in org.gitana.platform.client.changeset with parameters of type Repository
Modifier
Constructor
Description
``
`ChangesetImpl(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Repository in org.gitana.platform.client.node

Methods in org.gitana.platform.client.node that return Repository
Modifier and Type
Method
Description
`Repository`
BaseNode.`getRepository()`
`Repository`
BaseNodeImpl.`getRepository()`

## Uses of Repository in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return Repository
Modifier and Type
Method
Description
`Repository`
Platform.`createRepository()`
Creates an empty repository on the server.
`Repository`
Platform.`createRepository(com.fasterxml.jackson.databind.node.ObjectNode object)`
Creates a repository on the server.
`Repository`
PlatformImpl.`createRepository()`
`Repository`
PlatformImpl.`createRepository(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Repository`
Platform.`readRepository(String repositoryId)`
Reads a single repository from the server.
`Repository`
PlatformImpl.`readRepository(String repositoryId)`
Methods in org.gitana.platform.client.platform that return types with arguments of type Repository
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Repository>`
Platform.`listRepositories()`
Retrieves repositories from the server as a map.
`org.gitana.platform.support.ResultMap<Repository>`
Platform.`listRepositories(org.gitana.platform.support.Pagination pagination)`
Retrieves repositories from the server as a map.
`org.gitana.platform.support.ResultMap<Repository>`
PlatformImpl.`listRepositories()`
`org.gitana.platform.support.ResultMap<Repository>`
PlatformImpl.`listRepositories(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Repository>`
Platform.`queryRepositories(com.fasterxml.jackson.databind.node.ObjectNode query)`
Performs a query over the repository index.
`org.gitana.platform.support.ResultMap<Repository>`
Platform.`queryRepositories(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Repository>`
PlatformImpl.`queryRepositories(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Repository>`
PlatformImpl.`queryRepositories(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of Repository in org.gitana.platform.client.release

Constructors in org.gitana.platform.client.release with parameters of type Repository
Modifier
Constructor
Description
``
`ReleaseImpl(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Repository in org.gitana.platform.client.repository

Classes in org.gitana.platform.client.repository that implement Repository
Modifier and Type
Class
Description
`class`
`RepositoryImpl`
Methods in org.gitana.platform.client.repository that return Repository
Modifier and Type
Method
Description
`Repository`
AbstractRepositoryDocumentImpl.`getRepository()`
`Repository`
RepositoryDocument.`getRepository()`
Constructors in org.gitana.platform.client.repository with parameters of type Repository
Modifier
Constructor
Description
`protected`
`AbstractRepositoryDocumentImpl(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Repository in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Repository
Modifier and Type
Method
Description
`Repository`
ObjectFactory.`repository(Platform platform)`
`Repository`
ObjectFactory.`repository(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Repository`
ObjectFactory.`repository(Platform platform, Response response)`
`Repository`
ObjectFactoryImpl.`repository(Platform platform)`
`Repository`
ObjectFactoryImpl.`repository(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Repository`
ObjectFactoryImpl.`repository(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Repository
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Repository>`
ObjectFactory.`repositories(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Repository>`
ObjectFactoryImpl.`repositories(Platform platform, Response response)`
Methods in org.gitana.platform.client.support with parameters of type Repository
Modifier and Type
Method
Description
`Branch`
ObjectFactory.`branch(Repository repository)`
`Branch`
ObjectFactory.`branch(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Branch`
ObjectFactory.`branch(Repository repository, Response response)`
`Branch`
ObjectFactoryImpl.`branch(Repository repository)`
`Branch`
ObjectFactoryImpl.`branch(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Branch`
ObjectFactoryImpl.`branch(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Branch>`
ObjectFactory.`branches(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Branch>`
ObjectFactoryImpl.`branches(Repository repository, Response response)`
`Changeset`
ObjectFactory.`changeset(Repository repository, Response response)`
`Changeset`
ObjectFactoryImpl.`changeset(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Changeset>`
ObjectFactory.`changesets(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Changeset>`
ObjectFactoryImpl.`changesets(Repository repository, Response response)`
`Release`
ObjectFactory.`release(Repository repository)`
`Release`
ObjectFactory.`release(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Release`
ObjectFactory.`release(Repository repository, Response response)`
`Release`
ObjectFactoryImpl.`release(Repository repository)`
`Release`
ObjectFactoryImpl.`release(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Release`
ObjectFactoryImpl.`release(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Release>`
ObjectFactory.`releases(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Release>`
ObjectFactoryImpl.`releases(Repository repository, Response response)`